application call . TypeError: view must be a callable or a list/tuple in the case of include()

I am taking a course where this error does not occur my error is cod is: Exception in thread django-main-thread: Traceback (most recent call last): File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\threading.py”, line 932, in _bo otstrap_inner self.run() File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\threading.py”, line 870, in run self._target(*self._args, **self._kwargs) File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\django\utils\auto reload.py”, line 53, in wrapper fn(*args, **kwargs) File “C:\Users\wuoel\AppData\Local\Programs\Python\Python38-32\lib\site-packages\django\core\manag ement\commands\runserver.py”, line 117,…

Django: ImportError: cannot import name ‘Celery’ from ‘celery’

So I’ve installed celery and got the file celery_tasks_settings.py in my project directory next to settings.py. This I got was a way to avoid conflicts with the package itself. I also did find -name ‘*celery*.pyc’ as a way to find any celery.pyc files that may have been generated before.The result: /__pycache__/celery_tasks.cpython-38.pyc /__pycache__/celery_tasks_settings.cpython-38.pyc Unfortunately, I still…

MemoryError when importing json in system python

When I enter the system python3.6 and import json, I get the following stack trace: Python 3.6.9 (default, Nov 7 2019, 10:44:02) [GCC 8.3.0] on linux Type “help”, “copyright”, “credits” or “license” for more information. >>> import json Traceback (most recent call last): File “<stdin>”, line 1, in <module> File “/usr/lib/python3.6/json/__init__.py”, line 107, in <module>…

No module psycopg2 error while running ‘sudo apt-get upgrade’

After this operation, 0 B of additional disk space will be used. Do you want to continue? [Y/n] y Setting up pgadmin4-apache2 (4.13-1.pgdg18.04+1) … Traceback (most recent call last): File “setup.py”, line 413, in setup_db() File “setup.py”, line 347, in setup_db app = create_app() File “/usr/share/pgadmin4/web/pgadmin/__init__.py”, line 400, in create_app driver.init_app(app) File “/usr/share/pgadmin4/web/pgadmin/utils/driver/__init__.py”, line 40,…

SQLite 3.8.3 or later is required (found 3.7.17)

I completed my project and uploaded into the host using cpanel and install all my necessary packages. but now when run the server I have this error : Traceback (most recent call last): File “/opt/alt/python37/lib64/python3.7/threading.py”, line 917, in _bootstrap_inner self.run() File “/opt/alt/python37/lib64/python3.7/threading.py”, line 865, in run self._target(*self._args, **self._kwargs) File “/home/mahdiade/virtualenv/portfolio/3.7/lib/python3.7/site-packages/django/utils/autoreload.py”, line 54, in wrapper fn(*args,…

Cant run django server because of cx_oracle

i pull my friend code in github , and when i want to run it with django *path*>workon test (test)*path*>py manage.py runserver it has error in it Traceback (most recent call last): File “C:\Users\u532246\Envs\test\lib\site-packages\django\db\backends\oracle\base.py”, line 47, in <module> import cx_Oracle as Database ModuleNotFoundError: No module named ‘cx_Oracle’ During handling of the above exception, another exception…

Converting Django project from Python 2 to Python 3: django.core.exceptions.AppRegistryNotReady: Apps aren’t loaded yet

I am converting a Django website from Python 2 to Python 3. To do this, I ran 2to3 on the whole project. Now, upon running the server (which works fine in Python 2). Now, there appears to be an error django.core.exceptions.AppRegistryNotReady: Apps aren’t loaded yet. that seems to originate with an issue loading the django_comments…